<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>User info update</title>
</head>
<body>
<div layout:fragment="content">
    <div class="row">
        <div class="col-md-4 ml-auto mr-auto">
            <div class="card">
                <div class="card-header card-header-text card-header-rose">
                    <div class="card-text">
                        <h4 class="card-title">You are updating the profile of another user</h4>
                    </div>
                </div>
                <div class="card-body">
                    <form action="#" th:action="@{/updateuser(id=${userUpdDTO.getUser_id()})}"
                          th:object="${userUpdDTO}" method="post">
                        <div class="form-group">
                            <label>Id </label>
                            <input type="text" class="form-control" th:field="*{user_id}" readonly>
                            <small class="error" th:errors="*{user_id}">First name-related error messages will be
                                here </small>
                        </div>
                        <div class="form-group">
                            <label>First name</label>
                            <input type="text" class="form-control" th:field="*{first_name}"/>
                            <small class="error" th:errors="*{first_name}">First name-related error messages will be
                                here </small>
                        </div>
                        <div class="form-group">
                            <label>Last name</label>
                            <input type="text" class="form-control" th:field="*{last_name}"/>
                            <small class="error" th:errors="*{last_name}">Last name-related error messages will be
                                here </small>
                        </div>
                        <div class="form-group">
                            <label>Username</label>
                            <input type="text" class="form-control" th:field="*{username}" readonly>
                            <small class="error" th:errors="*{username}">Last name-related error messages will be
                                here </small>
                        </div>
                        <div class="form-group">
                            <label>Email</label>
                            <input type="text" class="form-control" th:field="*{email}"/>
                            <small class="error" th:errors="*{email}">Email-related error messages will be
                                here </small>
                        </div>
                        <div class="form-group">
                            <label>Status</label>
                            <select class="form-control selectpicker" th:field="*{status}"
                                    data-style="btn btn-link" name="filter_sort">
                                <option th:each="status :${statuses}"
                                        th:value="${status.getStatus_name()}"
                                        th:text="${status.getStatus_name()}"></option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>Role</label>
                            <select class="form-control selectpicker" th:field="*{roleType}"
                                    data-style="btn btn-link" name="filter_sort">
                                <option th:each="role : ${roles}"
                                        th:value="${role.getRole()}"
                                        th:text="${role.getRole()}"></option>
                            </select>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-info" type="submit">Update</button>
                        </div>
                        <small class="text-muted ml-2">
                            <a href="" th:href="@{/updatepasswordbyid(id=${userUpdDTO.getUser_id()})}">Need to change
                                password? Click here!</a>
                        </small>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

</div>

</body>
</html>